# Generated by go2rpm 1.15.0
%bcond check 1
%bcond bootstrap 0

%if %{with bootstrap}
%global debug_package %{nil}
%endif

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/strukturag/nextcloud-spreed-signaling
%global goipath         github.com/strukturag/nextcloud-spreed-signaling
Version:                2.0.2

%gometa -L -f

%global common_description %{expand:
Standalone signaling server for Nextcloud Talk.}

%global golicenses      LICENSE
%global godocs          docs CHANGELOG.md README.md docker/README.md

Name:           golang-github-strukturag-nextcloud-spreed-signaling
Release:        1%{?dist}
Summary:        Standalone signaling server for Nextcloud Talk

License:        AGPL-3.0-only
URL:            %{gourl}
Source:         %{gosource}

# Local patches
Patch1001:      1001-dist-fix-ExecPaths-in-systemd-service-unit.patch

BuildRequires:  systemd-rpm-macros

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%if %{without bootstrap}
%build
for cmd in client proxy server; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                          %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/server %{buildroot}%{_bindir}/signaling
install -m 0755 -vp %{gobuilddir}/bin/proxy  %{buildroot}%{_bindir}/signaling-proxy
install -m 0755 -vp %{gobuilddir}/bin/client %{buildroot}%{_bindir}/signaling-client
%endif

install -D -m 644 "dist/init/systemd/signaling.service" \
        %{buildroot}%{_unitdir}/signaling.service
install -D -m 600 "server.conf.in" \
        %{buildroot}%{_sysconfdir}/signaling/server.conf
install -D -m 600 "proxy.conf.in" \
        %{buildroot}%{_sysconfdir}/signaling/proxy.conf
chmod -R o-rwx %{buildroot}%{_sysconfdir}

%if %{without bootstrap}
%if %{with check}
%check
%gocheck
%endif
%endif

%pre
getent group signaling &>/dev/null || groupadd -r signaling
getent passwd signaling &>/dev/null || \
    /usr/sbin/useradd -r -g signaling -s /sbin/nologin \
        -c "Nextcloud Talk signaling server" -d / signaling

%post
%systemd_post signaling.service

%preun
%systemd_preun signaling.service

%postun
%systemd_postun_with_restart signaling.service

%if %{without bootstrap}
%files
%license LICENSE
%doc docs CHANGELOG.md README.md docker/README.md
%config(noreplace) %attr(-, signaling, signaling) %{_sysconfdir}/signaling
%{_bindir}/*
%{_unitdir}/signaling.service
%endif

%gopkgfiles

%changelog
* Tue Mar 11 2025 Fabrice Bellet <fabrice@bellet.info> - 2.0.2-1
- Initial package
